from math import*

def f(x):
    return x**2

def long(N):
    pas=1/N
    longueur=0
    x=0
    for k in range(0,N):
        x1=x
        y1=f(x1)
        x2=x1+pas
        y2=f(x2)
        dist=sqrt((x2-x1)**2+(y2-y1)**2)
        longueur+=dist
        x+=pas
    reponse='La longueur calculée est de : '+str(longueur)
    return reponse

